#include <iostream>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    unsigned long long x, y;
    cin >> x >> y;
    unsigned long long rez = 0;
    int stepen = 0;
    while(x > 0 && y > 0){
        long long cifra_x = x % 10;
        long long cifra_y = y % 10;
        x /= 10;
        y /= 10;
        if(cifra_x > cifra_y){
            for(int i = 0; i < stepen; i++){
                cifra_x *= 10;
            }
            rez += cifra_x;
        }
        else if(cifra_x < cifra_y){
            for(int i = 0; i < stepen; i++){
                cifra_y *= 10;
            }
            rez += cifra_y;
        }
        else{
            for(int i = 0; i < stepen; i++){
                cifra_x *= 10;
            }
            rez += cifra_x;
            stepen++;
            for(int i = 0; i < stepen; i++){
                cifra_y *= 10;
            }
            rez += cifra_y;
        }
        stepen++;
    }
    while(x > 0){
        int cifra_x = x % 10;
        x /= 10;
        for(int i = 0; i < stepen; i++){
            cifra_x *= 10;
        }
        rez += cifra_x;
        stepen++;
    }
    while(y > 0){
        int cifra_y = y % 10;
        y /= 10;
        for(int i = 0; i < stepen; i++){
            cifra_y *= 10;
        }
        rez += cifra_y;
        stepen++;
    }
    cout << rez;
    return 0;
}